Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create usage

POST/workspaces/{organizationId}/usage
Path parameters
organizationIdstringrequired
Request body
application/json
periodstringrequired
min length 1
resourcestringrequired
min length 1
actionstringrequired
min length 1
countinteger
min 0 · default: 1
Responses
201Usage recorded
idstringrequired
organizationIdstringrequired
periodstringrequired
resourcestringrequired
actionstringrequired
countintegerrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/usage" \
  -H "Content-Type: application/json" \
  -d '{
  "period": "string",
  "resource": "string",
  "action": "string",
  "count": 1
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "period": "string",
  "resource": "string",
  "action": "string",
  "count": 0,
  "createdAt": "string",
  "updatedAt": "string"
}